package com.zd.laboratory.domain.vo;

import com.zd.common.core.web.domain.BaseEntity;
import com.zd.laboratory.domain.LabSecurityGroup;
import com.zd.laboratory.domain.LabSecurityMaterial;
import com.zd.laboratory.domain.LabSubject;
import com.zd.laboratory.domain.LabSubjectSecurityconfigure;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 安全准入资格对象 lab_security_group
 *
 * @author zd
 * @date 2021-08-31
 */
@ApiModel("安全准入资格表")
public class LabSecurityGroupVO extends LabSecurityGroup {
    private static final long serialVersionUID = 1L;

    /**
     * 资格名称多个
     */
    @ApiModelProperty(value = "资格名称多个")
    private String materialNames;

    /**
     * 资格绑定多少个实验室统计
     */
    @ApiModelProperty(value = "资格绑定多少个实验室统计")
    private Long subjectCount;

    /**
     * 资格材料列表
     */
    private List<LabSecurityMaterial> meterialList = new ArrayList<>();

    /**
     * 实验室列表
     */
    public List<LabSubjectSecurityconfigure> subjectList = new ArrayList<>();

    public List<LabSecurityMaterial> getMeterialList() {
        return meterialList;
    }

    public void setMeterialList(List<LabSecurityMaterial> meterialList) {
        this.meterialList = meterialList;
    }

    public List<LabSubjectSecurityconfigure> getSubjectList() {
        return subjectList;
    }

    public void setSubjectList(List<LabSubjectSecurityconfigure> subjectList) {
        this.subjectList = subjectList;
    }

    public String getMaterialNames() {
        return materialNames;
    }

    public void setMaterialNames(String materialNames) {
        this.materialNames = materialNames;
    }

    public Long getSubjectCount() {
        return subjectCount;
    }

    public void setSubjectCount(Long subjectCount) {
        this.subjectCount = subjectCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("configureName", getConfigureName())
                .append("effectiveTime", getEffectiveTime())
                .append("meterialList", getMeterialList())
                .append("subjectList", getSubjectList())
                .append("materialNames", getMaterialNames())
                .append("subjectCount", getSubjectCount())
                .toString();
    }
}
